Package org.apache.tomcat.jni

## Interface SSLContext.SNICallBack

- All Known Implementing Classes:
    `AprEndpoint`
  Enclosing class:
    SSLContext

      public static interface SSLContext.SNICallBack

  Interface implemented by components that will receive the call back to select an OpenSSL SSLContext based on the host name requested by the client.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSslContext​(java.lang.String sniHostName)` | This callback is made during the TLS handshake when the client uses the SNI extension to request a specific TLS host.

- - ### Method Detail

    - #### getSslContext

          long getSslContext​(java.lang.String sniHostName)

      This callback is made during the TLS handshake when the client uses the SNI extension to request a specific TLS host.
      Parameters:
        `sniHostName` - The host name requested by the client - must be in lower case
      Returns:
        The Java representation of the pointer to the OpenSSL SSLContext to use for the given host or zero if no SSLContext could be identified